[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'IniPropStorage' (#lcl)

# TCustomIniPropStorage.DoReadString

Performs actions needed to reading the specified value from the INI storage as a string type.

## Declaration

Source position: inipropstorage.pas line 43

`public function TCustomIniPropStorage.DoReadString(`
`const Section: string;`
`const Ident: string;`
`const default: string`
`):string; override;`

## Arguments

`Section` |  | The section name with the value read in the method.
`Ident` |  | The name for the identifier with the value read in the method.
`default` |  | Default value returned if the section or identifier is not found in the INI storage.

## Function result

The value for the requested section and identifier.

## Description

DoReadString is an overridden String function in TCustomIniPropStorage. It implements the abstract virtual method defined in the TCustomPropertyStorage ancestor.

Section contains the name for the section where the requested value is stored in IniFile.

Ident contains the name for the identifier read from the specified Section.

Default contains the default value returned in the method if the section or identifier is not found in IniFile.

DoReadString calls the ReadString method in IniFile to get the return value for the method.

## See also

TCustomPropertyStorage.DoReadString |  | Default OnReadString handler; must be overridden.
TIniFile.ReadString